Ruby: zlib_filefunc64_def_s Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
zlib_filefunc64_def_s Struct Reference

`#include <ioapi.h>`

## Data Fields
open64_file_func | zopen64_file
read_file_func | zread_file
write_file_func | zwrite_file
tell64_file_func | ztell64_file
seek64_file_func | zseek64_file
close_file_func | zclose_file
testerror_file_func | zerror_file
voidpf | opaque

## Detailed Description

Definition at line 164 of file ioapi.h.

## Field Documentation

## ◆ opaque

voidpf zlib_filefunc64_def_s::opaque

Definition at line 173 of file ioapi.h.

Referenced by call_zopen64(), call_zseek64(), call_ztell64(), fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zclose_file

close_file_func zlib_filefunc64_def_s::zclose_file

Definition at line 171 of file ioapi.h.

Referenced by fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zerror_file

testerror_file_func zlib_filefunc64_def_s::zerror_file

Definition at line 172 of file ioapi.h.

Referenced by fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zopen64_file

open64_file_func zlib_filefunc64_def_s::zopen64_file

Definition at line 166 of file ioapi.h.

Referenced by call_zopen64(), fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zread_file

read_file_func zlib_filefunc64_def_s::zread_file

Definition at line 167 of file ioapi.h.

Referenced by fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zseek64_file

seek64_file_func zlib_filefunc64_def_s::zseek64_file

Definition at line 170 of file ioapi.h.

Referenced by call_zseek64(), call_ztell64(), fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ ztell64_file

tell64_file_func zlib_filefunc64_def_s::ztell64_file

Definition at line 169 of file ioapi.h.

Referenced by call_ztell64(), fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

## ◆ zwrite_file

write_file_func zlib_filefunc64_def_s::zwrite_file

Definition at line 168 of file ioapi.h.

Referenced by fill_fopen64_filefunc(), fill_win32_filefunc64(), fill_win32_filefunc64A(), fill_win32_filefunc64W(), and fill_zlib_filefunc64_32_def_from_filefunc32().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/ioapi.h